package cn.reghao.devops.web.mgr.app.model.vo;

import cn.reghao.devops.web.mgr.build.model.AppDto;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author reghao
 * @date 2024-08-02 09:10:23
 */
@Getter
public class BuildTask {
    private String appId;
    private String type;
    private String env;
    private String stat;

    public BuildTask(AppDto appDto, String stat) {
        this.appId = appDto.getAppId();
        this.type = appDto.getAppType();
        this.env = appDto.getEnv();
        this.stat = stat;
    }
}
